#include "stdinc.h"
#include "server.h"

#define NAME "m_version"
#define AUTHOR "Twitch"
#define VERSION "$Id: m_version.c 1649 2010-01-02 12:03:27Z jer $"


int Module_Init();
void Module_Close();


MODHEADER(NAME, VERSION, AUTHOR, MAKE_ABI(0,5,2),Module_Init, Module_Close);

extern IRCDProto IRCd;

void m_version (User *user,int i,char **argv);

int Module_Init()
{

    AddUserCmd("VERSION", m_version);

	return MOD_CONT;
}

void Module_Close()
{
	DelUserCmd("VERSION", m_version);
	return;
}
void m_version (User *user,int i,char **argv)
{
    sendto_one_numeric (CfgSettings.servername, user, 351, ":%s(%s)-%s#%s %s :%s", PACKAGE_NAME, PACKAGE_VERSION, VERSION_STRING_DOTTED,
                        BUILD, CfgSettings.servername, (IRCd.ts > 0)? "TS" : "");

    return;
}


